api.version= *version-date*

# ===================================================================
# APPLICATION PROPERTIES
# ===================================================================
spring.main.banner-mode=off
server.port=7075
spring.application.name=dispatch-service
spring.cloud.discovery.enabled=false
spring.datasource.hikari.maximum-pool-size=2
# ===================================================================
# LOG PROPERTIES
# ===================================================================
logging.pattern.level='[%X{data}%thread] [%X{X-B3-TraceId:-}] - %5p'
logging.pattern.console=%p, %d{'yyyy-MM-dd HH:mm:ss,SSS',America/Mexico_City}, %C{1}:%M:%L, %X{mdc.uuid}, %m%n%ex{3}

# ===================================================================
# DATABASE CONNECTION.
# ===================================================================

#AZURE
spring.jpa.properties.hibernate.default_schema=cadlite_qa
spring.datasource.url=jdbc:postgresql://${HOST-DB:psql-demo-cadlite.postgres.database.azure.com}:${PORT-DB:5432}/cadlitedemo
spring.datasource.username=psqladmin@psql-demo-cadlite
spring.datasource.password=c@DL!t3202+00
spring.datasource.driver-class-name=org.postgresql.Driver
################### DESCOMENTAR SOLO CUANDO SE TENGA PERMISOS PARA ACCEDER A LA BD DE PRODUCC. ################################
#spring.jpa.properties.hibernate.default_schema=cco
#spring.datasource.url=jdbc:postgresql://${HOST-DB:psql-cadliteazcapotzalco-prod-southcentralus.postgres.database.azure.com}:${PORT-DB:5432}/cadliteazca
#spring.datasource.username=psqladmin@psql-cadliteazcapotzalco-prod-southcentralus
#spring.datasource.password=Psql@DL!t3202+00

# ===================================================================
# JPA CONFIGURATION.
# ===================================================================
spring.jpa.hibernate.ddl-auto=none
spring.jpa.hibernate.naming-strategy=org.hibernate.cfg.ImprovedNamingStrategy
spring.jpa.database-platform=org.hibernate.dialect.PostgreSQL9Dialect
spring.jpa.hibernate.naming.implicit-strategy=org.hibernate.boot.model.naming.ImplicitNamingStrategyLegacyJpaImpl
spring.jpa.hibernate.naming.physical-strategy=org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
spring.jpa.properties.hibernate.temp.use_jdbc_metadata_defaults=false

#to show sql
spring.jpa.properties.hibernate.show_sql=true
#formatting
spring.jpa.properties.hibernate.format_sql=true

#################################################################
###################   MQ         ################################
#################################################################
spring.rabbitmq.host=${HOST-MQ:10.100.103.182}
spring.rabbitmq.port=${PORT-MQ:5672}

spring.rabbitmq.username=admin
spring.rabbitmq.password=admin
spring.rabbitmq.virtual-host=/cco_lite
spring.rabbitmq.dynamic=true
feign.hystrix.enabled=true

#################################################################
###################   EVENT STORE ###############################
#################################################################
spring.data.mongodb.uri=mongodb://${HOST-EVNTSTORE:20.185.223.213}:${PORT-EVNTSTORE:27017}/cco_events
spring.data.mongodb.repositories.type = none

feign.emergencies-service.name=incidents-service
feign.emergencies-service.url=127.0.0.1:7010/emergencies/emergencies

feing.elastic.user=elastic2
feing.elastic.password=s3gur1t3ch#123456
feign.incident.rx.suspect.output.protocol=http
feign.incident.rx.suspect.output.domain=104.214.62.237
feign.incident.rx.suspect.output.port=9200
feign.incident.rx.suspect.output.url=http://104.214.62.237:9200/
feign.incident.rx.suspect.output.name=sdc-w-coorps-last
feign.incident.rx.suspect.output.index=sdc-w-coorps-last

#################################################################
############ ROUTING FOR UNIT FORCE PROVIDER  ###################
#################################################################
cad-lite.routing.name= routing
cad-lite.routing.url=https://routing.openstreetmap.de/routed-car/route/v1/driving/
cad-lite.routing.url.overview=?overview=false

license.enable=true
license.url=http://localhost:8091